commit:     425e8cb735047dbc09b4689031179643c3675524
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 10 17:10:46 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 10 17:11:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=425e8cb7

dev-python/hypothesis: add 6.31.3

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/hypothesis/Manifest                 |  1 +
 dev-python/hypothesis/hypothesis-6.31.3.ebuild | 62 ++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index ee39e0367339..dd053f640fc1 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -14,3 +14,4 @@ DIST hypothesis-python-6.29.3.tar.gz 9176581 BLAKE2B 
d013c6dd2ddb8dfddf7f856c935
 DIST hypothesis-python-6.30.0.tar.gz 9180275 BLAKE2B 
f65ff5477054d37f7f7cdc463811dbf94d2a3adc7399cc9015b0088185c31027463e994ecdc6d2274141fb44cc75beca3e783c40b764bddc7430ca0cabcdd545
 SHA512 
23137db516b04b59f1dfe187998424ce326f82780047b1ebd189a552263beb221d8af0cf43f82656766903f4b2999205f013e6c9ae12ea48114af7c0ca7ade37
 DIST hypothesis-python-6.30.1.tar.gz 9180975 BLAKE2B 
3b0e8e29d74f579a9ace6fc341451992386de3358defcf42936d2d535c31bae07d7ab49fa6d4a8d1a2bd0e8231086dd9795d78125555e668425fba2bc539b224
 SHA512 
8abf31debf94124744d17d5ddac6698a21981feca7b776e97d92d5f6d1404ec17794bdf11b256dc7b0a335a041af6d3f1f20ae6fd6a62abc1ad78c2b39354fa9
 DIST hypothesis-python-6.31.0.tar.gz 9181746 BLAKE2B 
e62e095ce94abf050b31048623f6d10bbdda23fe9ea46c1494dbb6e956d5939d96ebeb517526675d62320af42b32a52e4f3e07d0cc833694cf2b990aaead7e30
 SHA512 
5fde89262b03b3e3dd9a640028682bb3b3b2606e4c36d5b0331413aaa89d079f1fdd6db85312f658e02f1fbfd45ecb3ca53817e45e6fb146fc7e9ce36f78ecd3
+DIST hypothesis-python-6.31.3.tar.gz 9183141 BLAKE2B 
0ce64bc39a9746519929ff0ef9a6e026794f113a1d7e7d38fda37db5ed199ff3f5e948aac12e2cc5dae84a8f28c8d9ba848fdb7e97b15898de1e0b48edfe77f4
 SHA512 
372bbd0f663f87ea7400543e27b8a767685af8a9a48f3e982eeb6c35578407b5d0e0824da0c5d6272bab634c47a9061d2f5e39cd538fef783dd2f6eedc8fc01a

diff --git a/dev-python/hypothesis/hypothesis-6.31.3.ebuild 
b/dev-python/hypothesis/hypothesis-6.31.3.ebuild
new file mode 100644
index 000000000000..ea716a889cd2
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.31.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis 
https://pypi.org/project/hypothesis/";
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' python3_{8..9})
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               !!<dev-python/typing-3.7.4.1
+       )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+       if ! use cli || ! has "${EPYTHON}" python3.{8..9}; then
+               sed -i -e '/console_scripts/d' setup.py || die
+       fi
+}
+
+python_test() {
+       distutils_install_for_testing
+       epytest tests/cover tests/pytest tests/quality \
+               -p no:pytest-describe \
+               -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to